
<?= $element->renderSubmenu('/3-lekce-cykly'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<h2 class="text-xl">1. Kolik je hodnot v poli?</h2>
<pre class="php">
&lt;?php
    <span class="php__syntax">echo</span> <span class="php__fun">count</span>(<span class="php__var">$pole</span>);
?&gt;
</pre>


<h2 class="text-xl">2. Jaký je součet všech hodnot v poli?</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {
        <span class="php__var">$soucet</span> += <span class="php__var">$hodnota</span>;
    }

    <span class="php__syntax">echo</span> <span class="php__var">$soucet</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__syntax">for</span> (<span class="php__var">$index</span> = <span class="php__num">0</span>; <span class="php__var">$index</span> &lt; <span class="php__fun">count</span>(<span class="php__var">$pole</span>); <span class="php__var">$index</span>++) {
        <span class="php__var">$soucet</span> += <span class="php__var">$pole</span>[<span class="php__var">$index</span>];
    }

    <span class="php__syntax">echo</span> <span class="php__var">$soucet</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__syntax">echo</span> <span class="php__fun">array_sum</span>(<span class="php__var">$pole</span>);

?&gt;
</pre>


<h2 class="text-xl">3. Kolik hodnot musíš sečíst, než jejich součet dosáhne 10000?</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$pocetHodnot</span> = <span class="php__num">0</span>;
    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {
        <span class="php__var">$soucet</span> += <span class="php__var">$hodnota</span>;
        <span class="php__var">$pocetHodnot</span>++;

        <span class="php__syntax">if</span> (<span class="php__var">$soucet</span> >= <span class="php__num">10000</span>) {
            <span class="php__syntax">break</span>;
        }
    }

    <span class="php__syntax">echo</span> <span class="php__var">$pocetHodnot</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__syntax">for</span> (<span class="php__var">$index</span> = <span class="php__num">0</span>; <span class="php__var">$index</span> &lt; <span class="php__fun">count</span>(<span class="php__var">$pole</span>); <span class="php__var">$index</span>++) {
        <span class="php__var">$soucet</span> += <span class="php__var">$pole</span>[<span class="php__var">$index</span>];

        <span class="php__syntax">if</span> (<span class="php__var">$soucet</span> >= <span class="php__num">10000</span>) {
            <span class="php__syntax">break</span>;
        }
    }

    <span class="php__syntax">echo</span> (<span class="php__var">$index</span> + <span class="php__num">1</span>);


    <span class="php__comment">// nebo</span>


    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__var">$index</span> = <span class="php__num">0</span>;
    <span class="php__syntax">while</span> (<span class="php__var">$soucet</span> &lt; <span class="php__num">10000</span>) {
        <span class="php__var">$soucet</span> += <span class="php__var">$pole</span>[<span class="php__var">$index</span>];
        <span class="php__var">$index</span>++;
    }

    <span class="php__syntax">echo</span> <span class="php__var">$index</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__var">$index</span> = <span class="php__num">0</span>;
    <span class="php__syntax">do</span> {
        <span class="php__var">$soucet</span> += <span class="php__var">$pole</span>[<span class="php__var">$index</span>];
        <span class="php__var">$index</span>++;
    } <span class="php__syntax">while</span> (<span class="php__var">$soucet</span> &lt; <span class="php__num">10000</span>);

    <span class="php__syntax">echo</span> <span class="php__var">$index</span>;
?&gt;
</pre>

<h2 class="text-xl">4. Kolik je v poli sudých a kolik lichých hodnot a jaký je součet všech lichých a všech sudých hodnot?</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$pocetSudychHodnot</span> = <span class="php__num">0</span>;
    <span class="php__var">$pocetLichychHodnot</span> = <span class="php__num">0</span>;
    <span class="php__var">$soucetSudychHodnot</span> = <span class="php__num">0</span>;
    <span class="php__var">$soucetLichychHodnot</span> = <span class="php__num">0</span>;

    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {

        <span class="php__syntax">if</span> (<span class="php__var">$hodnota</span> % <span class="php__num">2</span> == <span class="php__num">0</span>) {
            <span class="php__var">$pocetSudychHodnot</span>++;
            <span class="php__var">$soucetSudychHodnot</span> += <span class="php__var">$hodnota</span>;
        } <span class="php__syntax">else</span> {
            <span class="php__var">$pocetLichychHodnot</span>++;
            <span class="php__var">$soucetLichychHodnot</span> += <span class="php__var">$hodnota</span>;
        }
    }

    <span class="php__syntax">echo</span> <span class="php__str">"Počet sudých hodnot <span class="php__var">{$pocetSudychHodnot}</span> a jejich součet <span class="php__var">{$soucetSudychHodnot}</span>."</span>;
    <span class="php__syntax">echo</span> <span class="php__str">"&lt;br&gt;"</span>;
    <span class="php__syntax">echo</span> <span class="php__str">"Počet lichých hodnot <span class="php__var">{$pocetLichychHodnot}</span> a jejich součet <span class="php__var">{$soucetLichychHodnot}</span>."</span>;
?&gt;
</pre>


<h2 class="text-xl">5. Zjisti kolikrát se jednotlivé hodnoty v poli opakují</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$poleOpakovani</span> = <span class="php__syntax">array</span>();

    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {

        <span class="php__syntax">if</span> (<span class="php__fun">isset</span>(<span class="php__var">$poleOpakovani</span>[<span class="php__var">$hodnota</span>])) {
            <span class="php__var">$poleOpakovani</span>[<span class="php__var">$hodnota</span>]++;
        } <span class="php__syntax">else</span> {
            <span class="php__var">$poleOpakovani</span>[<span class="php__var">$hodnota</span>] = <span class="php__num">1</span>;
        }
    }

    <span class="php__syntax">foreach</span> (<span class="php__var">$poleOpakovani</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span> => <span class="php__var">$pocet</span>) {
        <span class="php__syntax">echo</span> <span class="php__str">"Hodnota <span class="php__var">{$hodnota}</span> se v poli opakuje <span class="php__var">{$pocet}</span>x."</span>;
        <span class="php__syntax">echo</span> <span class="php__str">"&lt;br&gt;"</span>;
    }
?&gt;
</pre>


<h2 class="text-xl">6. Sečti všechny hodnoty na sudých indexech/klíčích a na lichých indexech/klíčích. Nultý klíč je sudý</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$soucetSudychKlicu</span> = <span class="php__num">0</span>;
    <span class="php__var">$soucetLichychklicu</span> = <span class="php__num">0</span>;

    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$klic</span> => <span class="php__var">$hodnota</span>) {

        <span class="php__syntax">if</span> (<span class="php__var">$klic</span> % <span class="php__num">2</span> == <span class="php__num">0</span>) {
            <span class="php__var">$soucetSudychKlicu</span> += <span class="php__var">$hodnota</span>;
        } <span class="php__syntax">else</span> {
            <span class="php__var">$soucetLichychklicu</span> += <span class="php__var">$hodnota</span>;
        }
    }

    <span class="php__syntax">echo</span> <span class="php__str">"Součet hodnot na sudých klíčích je <span class="php__var">{$soucetSudychKlicu}</span>."</span>;
    <span class="php__syntax">echo</span> <span class="php__str">"&lt;br&gt;"</span>;
    <span class="php__syntax">echo</span> <span class="php__str">"Součet hodnot na lichých klíčích je <span class="php__var">{$soucetLichychklicu}</span>."</span>;
?&gt;
</pre>


<h2 class="text-xl">7. Zjisti kolik hodnot je jednociferných, dvojciferných a trojciferných</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$jednociferne</span> = <span class="php__num">0</span>;
    <span class="php__var">$dvojciferne</span> = <span class="php__num">0</span>;
    <span class="php__var">$triciferne</span> = <span class="php__num">0</span>;

    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {
        <span class="php__syntax">if</span> (<span class="php__var">$hodnota</span> &lt; <span class="php__num">10</span>) {
            <span class="php__var">$jednociferne</span>++;
        } <span class="php__syntax">else if</span> <span class="php__var">($hodnota</span> &lt; <span class="php__num">100</span>) {
            <span class="php__var">$dvojciferne</span>++;
        } <span class="php__syntax">else if</span> (<span class="php__var">$hodnota</span> &lt; <span class="php__num">1000</span>) {
            <span class="php__var">$triciferne</span>++;
        }
    }

    <span class="php__syntax">echo</span> <span class="php__str">"Jednociferné <span class="php__var">{$jednociferne}</span>, dvojciferné <span class="php__var">{$dvojciferne}</span>, tříciferné <span class="php__var">{$triciferne}</span>."</span>;
?&gt;
</pre>


<h2 class="text-xl">8. Jaká je průměrná hodnota v poli? Nápověda: ( 2 + 5) / 2 = 3.5 - v tomto případě je průměrná hodnota 3.5</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$soucet</span> = <span class="php__num">0</span>;
    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {
        <span class="php__var">$soucet</span> += <span class="php__var">$hodnota</span>;
    }

    <span class="php__syntax">echo</span> <span class="php__var">$soucet</span> / <span class="php__fun">count</span>(<span class="php__var">$pole</span>);
?&gt;
</pre>


<h2 class="text-xl">9. Najdi nejmenší a největší hodnotu v poli</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$nejmensiHodnota</span> = <span class="php__var">$pole</span>[<span class="php__num">0</span>];
    <span class="php__var">$nejvetsiHodnota</span> = <span class="php__var">$pole</span>[<span class="php__num">0</span>];

    <span class="php__syntax">foreach</span> (<span class="php__var">$pole</span> <span class="php__syntax">as</span> <span class="php__var">$hodnota</span>) {
        <span class="php__syntax">if</span> (<span class="php__var">$hodnota</span> &lt; <span class="php__var">$nejmensiHodnota</span>) {
            <span class="php__var">$nejmensiHodnota</span> = <span class="php__var">$hodnota</span>;
        } <span class="php__syntax">else if</span> (<span class="php__var">$hodnota</span> > <span class="php__var">$nejvetsiHodnota</span>) {
            <span class="php__var">$nejvetsiHodnota</span> = <span class="php__var">$hodnota</span>;
        }
    }

    <span class="php__syntax">echo</span> <span class="php__str">"Nejmenší hodnota <span class="php__var">{$nejmensiHodnota}</span>, největší hodnota <span class="php__var">{$nejvetsiHodnota}</span>."</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__syntax">echo</span> <span class="php__str">"Nejmenší hodnota "</span> . <span class="php__fun">min</span>(<span class="php__var">$pole</span>) . <span class="php__str">", největší hodnota "</span> . <span class="php__fun">max</span>(<span class="php__var">$pole</span>) . <span class="php__str">"."</span>;


    <span class="php__comment">// nebo</span>


    <span class="php__fun">sort</span>(<span class="php__var">$pole</span>);
    <span class="php__syntax">echo</span> <span class="php__str">"Nejmenší prvek v poli je <span class="php__var">{$pole[<span class="php__num">0</span>]}</span>."</span>;
    <span class="php__syntax">echo</span> <span class="php__str">"&lt;br&gt;"</span>;
    <span class="php__fun">rsort</span>(<span class="php__var">$pole</span>);
    <span class="php__syntax">echo</span> <span class="php__str">"Největší prvek v poli je <span class="php__var">{$pole[<span class="php__num">0</span>]}</span>."</span>;
?&gt;
</pre>


<h2 class="text-xl">10. Nakresli tento obrazec</h2>
<p></p>
<pre class="php">
&lt;?php
    <span class="php__comment">// Zadání</span>
    <span class="php__comment">// *****</span>
    <span class="php__comment">// .****</span>
    <span class="php__comment">// ..***</span>
    <span class="php__comment">// ...**</span>
    <span class="php__comment">// ....*</span>
    <span class="php__comment">// .....</span>

    <span class="php__syntax">for</span> (<span class="php__var">$radek</span> = <span class="php__num">1</span>; <span class="php__var">$radek</span> &lt;= <span class="php__num">6</span>; <span class="php__var">$radek</span>++) {
        <span class="php__var">$vypis</span> = <span class="php__str">""</span>;
        <span class="php__syntax">for</span> (<span class="php__var">$sloupec</span> = <span class="php__num">1</span>; <span class="php__var">$sloupec</span> &lt;= <span class="php__num">5</span>; <span class="php__var">$sloupec</span>++) {
            <span class="php__syntax">if</span> (<span class="php__var">$radek</span> > <span class="php__var">$sloupec</span>) {
                <span class="php__var">$vypis</span> .= <span class="php__str">"."</span>;
            } <span class="php__syntax">else</span> {
                <span class="php__var">$vypis</span> .= <span class="php__str">"*"</span>;
            }
        }
        <span class="php__syntax">echo</span> <span class="php__var">$vypis</span>;
        <span class="php__syntax">echo</span> <span class="php__str">"&lt;br&gt;"</span>;
    }
?&gt;
</pre>



